# numerology

This package provides vary functions to calculate Numerology numbers such as:

- [Ruling number](https://www.rulingnumber.com/#:~:text=For%20example%2C%20in%20Pythagorean%20Numerology,%2C%20and%2022%2F4.)
- [Personal Year, Month, Day](https://affinitynumerology.com/using-numerology/your-personal-years-months-and-days.php#:~:text=Calculating%20the%20Numerology%20Personal%20Year,sum%20is%20less%20than%2010.)
- [Life Path number](https://www.allure.com/story/numerology-how-to-calculate-life-path-destiny-number)
- [Attitude Number](https://feliciabender.com/the-attitude-number/)

## Usage

```dart
  final nc = NumerologyCalculator();
  final birthday = DateTime(1999, 12, 22);
  final rulingNum = nc.rulingNumber(birthday); // 8
  print(rulingNum);

  /// Current date is 05-06-2021
  final currentDate = DateTime.now();
  final personalYearNum = nc.personalYear(birthday); // 3
  print(personalYearNum);

  final personalMonthNum = nc.personalMonth(currentDate, birthday); // 8
  print(personalMonthNum);

  final personalDayNum = nc.personalDay(currentDate, birthday); // 5
  print(personalDayNum);

  final lifePathNum = nc.lifePathNumber(birthday); // 4 + 3 + 1 = 8
  print(lifePathNum);

  final attitudeNum = nc.attitudeNumber(birthday); // 12 + 22 = 34 = 7
  print(attitudeNum);

  final destinyNum = nc.destinyNumber(birthday); // 8
  print(destinyNum);
```

## Flutter package information

This project is a starting point for a Dart
[package](https://flutter.dev/developing-packages/),
a library module containing code that can be shared easily across
multiple Flutter or Dart projects.

For help getting started with Flutter, view our 
[online documentation](https://flutter.dev/docs), which offers tutorials, 
samples, guidance on mobile development, and a full API reference.
